Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.urls
Class CustomXYURLGenerator

    java.lang.Object
      org.jfree.chart.urls.CustomXYURLGenerator

All Implemented Interfaces:
  java.io.Serializable, XYURLGenerator

public class CustomXYURLGenerator
extends java.lang.Object
implements XYURLGenerator, java.io.Serializable

A custom URL generator.

Author:
  Richard Atkinson
See Also:
  Serialized Form

Constructor Summary
`CustomXYURLGenerator()` Default constructor.

Method Summary
`void` | `addURLSeries(java.util.List urls)` Adds a list of URLs.
`boolean` | `equals(java.lang.Object o)` Tests if this object is equal to another.
`java.lang.String` | `generateURL(XYDataset data, int series, int item)` Generates a URL.
`int` | `getListCount()` Returns the number of URL lists stored by the renderer.
`java.lang.String` | `getURL(int series, int item)` Returns the URL for an item.
`int` | `getURLCount(int list)` Returns the number of URLs in a given list.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomXYURLGenerator

    public CustomXYURLGenerator()

  Default constructor.

Method Detail

### getListCount

    public int getListCount()

  Returns the number of URL lists stored by the renderer.

  Returns:
    The list count.

### getURLCount

    public int getURLCount(int list)

  Returns the number of URLs in a given list.

  Parameters:
    `list` - the list index (zero based).
  Returns:
    The URL count.

### getURL

    public java.lang.String getURL(int series,
                                   int item)

  Returns the URL for an item.

  Parameters:
    `series` - the series index.
    `item` - the item index.
  Returns:
    The URL.

### generateURL

    public java.lang.String generateURL(XYDataset data,
                                        int series,
                                        int item)

  Generates a URL.

  Specified by:
    `generateURL` in interface `XYURLGenerator`
  Parameters:
    `data` - the dataset.
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    a string containing the URL.

### addURLSeries

    public void addURLSeries(java.util.List urls)

  Adds a list of URLs.

  Parameters:
    `urls` - the list of URLs.

### equals

    public boolean equals(java.lang.Object o)

  Tests if this object is equal to another.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD